/*
	Este programa nos leera una lista de la compra.
*/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include <cstdlib>
#include <iostream>
#include <qdom.h>
#include <qxml.h>
#include <qfile.h>
#include <qstring.h>

using namespace std;

int main(int argc, char *argv[]){
	QDomDocument doc;
	QDomElement docElem, e;
	QDomNode elem;
	QString ar, cant, tipo;
	
	//Vamos a usar el primer argumento para guardar el archivo, si este no existe sacamos error
	if(argc!=2){
		cout << "La sintaxis correcta es " << argv[0] << " <nombre del archivo>" << endl;
		exit(-1);
	}
	QFile nuestralista(argv[1]); // inicializamos el archivo de ar en nuestralista
	if ( !nuestralista.open( IO_ReadOnly ) ){ // Slo queremos leer.
		cout << "Error en en abrir: " << ar; //En caso de error
		exit(-2);
	}
	if ( !doc.setContent( &nuestralista ) ) { //asignamos el contenido de nuestralista en el QDomDocumento
		nuestralista.close();
		cout << "Error en parsear: " << ar; //En caso de error
		exit(-3);
	}
	nuestralista.close(); //Ya hemos leido, todo est en el documento, podemos cerrar
	
	docElem = doc.documentElement();
	if(docElem.tagName() != "lista"){
		cout << "Locooooo, esto no es una lista!" << endl;
		exit(-4);
	}
	elem = docElem.firstChild();
	cout << "Tienes que comprar:" << endl;
	while( !elem.isNull() ) { //recorremos todos los hijos de la raiz mediante un bucle
		e = elem.toElement();
		cant = e.attribute("cantidad");
		tipo = e.attribute("tipo");
		cout << "\t- " << cant << " de " << tipo << endl;
		elem = elem.nextSibling();
	}
	
	return EXIT_SUCCESS;
}
